
#pragma once
#include "dusk.h"

typedef struct _entity_t entity_t;

typedef struct {
  uint32_t nothing;
} npc_t;

/**
 * Initializes the NPC entity.
 * 
 * @param entity The entity to initialize.
 */
void npcInit(entity_t *entity);

/**
 * Updates the NPC entity.
 * 
 * @param entity The entity to update.
 */
void npcUpdate(entity_t *entity);

/**
 * Handles interaction between the player and the NPC.
 * 
 * @param player The player entity interacting with the NPC.
 * @param self The NPC entity being interacted with.
 */
void npcInteract(entity_t *player, entity_t *self);